﻿using System;
using System.Globalization;
using System.Text;

namespace WpfPrintDemo
{
    //初始化一些测试数据
    public static class GlobalData
    {
        private static readonly char[] s_arrVisibleChars = (@"ABCDEFGHIJKLMNOPQRSTUVWXYZ").ToCharArray();
        private static readonly char[] s_arrUnits = (@"台只个件条只支").ToCharArray();
        private static readonly Random s_rnd = new Random((int)DateTime.Now.Ticks);
        private static string GetRandomText(int iLen)
        {
            StringBuilder sb = new StringBuilder(iLen);
            for (int i = 0; i < iLen; i++)
            {
                sb.Append(s_arrVisibleChars[s_rnd.Next(s_arrVisibleChars.Length)]);
            }
            return sb.ToString();
        }

        static GlobalData()
        {

            for (int i = 0; i < 30; i++)
            {
                m_orderExample.m_orderDetails.Add(
                    new OrderDetail
                    {
                        Sku = GetRandomText(5),
                        Spec = GetRandomText(8),
                        Number = s_rnd.Next(1, 10),
                        Unit = s_arrUnits[s_rnd.Next(s_arrUnits.Length)].ToString(CultureInfo.InvariantCulture),
                        UnitPrice = s_rnd.Next(1, 1000),
                        Description = GetRandomText(15)
                    }
                );
            }
        }

        public static OrderMaster m_orderExample = new OrderMaster
            {
                OrderNo = "106587",
                CustomerName = "BPMF公司",
                ShipAddress = "外高桥AA大道XXX号B厂房X座",
                Express = "顺丰速运",
                Freight = 120.00m
            };
    }
}
